#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-menus-3.38.1

- Next

  libgee-0.20.8

- Up
- Home

# gnome-online-accounts-3.58.1

## Introduction to GNOME Online Accounts

The GNOME Online Accounts package contains a framework used to access the user's online accounts.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-online-accounts/3.58/gnome-online-accounts-3.58.1.tar.xz

- Download MD5 sum: 9942aa191d657f7c39d3b5ec28b74f61

- Download size: 488 KB

- Estimated disk space required: 12 MB

- Estimated build time: 0.1 SBU

### GNOME Online Accounts Dependencies

#### Required

Gcr-4.4.0.1, JSON-GLib-1.10.8, libadwaita-1.9.0, librest-0.10.2, and Vala-0.56.19

#### Recommended

GLib-2.88.0 (with GObject Introspection)

#### Optional

Gi-DocGen-2026.1, keyutils-1.6.3, MIT Kerberos V5-1.22.2, and Valgrind-3.26.0

## Installation of GNOME Online Accounts

### Note

The Google API Key and OAuth tokens below are specific to LFS. If using these instructions for another distro, or if you intend to distribute binary copies of the software using these instructions, please obtain your own keys following the instructions located at https://www.chromium.org/developers/how-tos/api-keys.

Install GNOME Online Accounts by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup                                            \
          --prefix=/usr                                    \
          --buildtype=release                              \
          -D documentation=false                           \
          -D kerberos=false                                \
          -D google_client_secret=5ntt6GbbkjnTVXx-MSxbmx5e \
          -D google_client_id=595013732528-llk8trb03f0ldpqq6nprjp1s79596646.apps.googleusercontent.com \
          .. &&
    ninja

If you've installed Gi-DocGen-2026.1 and you wish to build and install the API documentation of this package, issue:

    meson configure -D documentation=true &&
    sed "s/project_name()/& + '-' + meson.project_version()/" \
        -i ../doc/meson.build &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D google_*`: These switches set the BLFS OAuth ID and secret for Google services.

`-D kerberos=true`: Use this switch if you have installed MIT Kerberos V5-1.22.2 and wish to use it with GNOME Online Accounts.

## Contents

Installed Programs: None
Installed Libraries: libgoa-1.0.so and libgoa-backend-1.0.so
Installed Directories: /usr/include/goa-1.0, /usr/lib/goa-1.0, and /usr/share/doc/gnome-online-accounts-3.58.1 (optional)

### Short Descriptions

`libgoa-1.0.so` | contains the GNOME Online Accounts API functions
`libgoa-backend-1.0.so` | contains functions used by GNOME Online Accounts backends

- Prev

  gnome-menus-3.38.1

- Next

  libgee-0.20.8

- Up
- Home